curl --request GET \
--url https://api.baselayer.com/portfolio/items/{item_id}/changes \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/portfolio/items/{item_id}/changes"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/portfolio/items/{item_id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"path": "<string>",
"operation": "add",
"old_value": "<unknown>",
"new_value": "<unknown>",
"changed_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Portfolio Item Changes
Retrieves all changes for a portfolio item across all snapshots.
Returns a list of DiffChange objects representing all changes between consecutive snapshots for the portfolio item.
Authorizations
Path Parameters
The unique identifier of the portfolio item to get changes for.
"412a49b5-7466-426b-bf1e-081b00b54576"
"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"
Query Parameters
Maximum number of records to return in a single page. Must be between 1 and 1000.
1 <= x <= 1000Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.
x >= 0Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.
Response
Response
The path of the change
The operation that was performed
add, remove, replace, move, copy, test The old value of the change
The new value of the change
The date and time the change was made